> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# LinkedIn Profile Comments

> Extract LinkedIn profile comments and their social activities like likes and reactions, requiring no input

`$1.9 / 1k comments`

Extract LinkedIn profile comments and their social activities like likes and reactions, requiring no input

## Endpoint

`POST /api/v1/agents/linkedin/profile-comments/run`

## Parameters

<ParamField body="profiles" type="array" required>
  **List** · LinkedIn profile URLs to scrape comments from. One per line.
</ParamField>

<ParamField body="maxResults" type="integer" default={50}>
  **Number** · Comments per profile. Use 0 for all.
</ParamField>

<ParamField body="postedLimit" type="string">
  **Dropdown** · Only comments within this time window.

  **Options:** `any`, `1h`, `24h`, `week`, `month`

  *Legend: `any` = Any time, `1h` = Past hour, `24h` = Past 24 hours, `week` = Past week, `month` = Past month*
</ParamField>

## Response columns

| Field                       | Display name                  | Type    |
| --------------------------- | ----------------------------- | ------- |
| `sourceProfileUrl`          | Source Profile URL            | url     |
| `commentUrl`                | Comment URL                   | url     |
| `commentText`               | Comment Text                  | text    |
| `commenter`                 | Commenter                     | text    |
| `commenterTitle`            | Commenter Title               | text    |
| `commenterUrl`              | Commenter URL                 | url     |
| `commented`                 | Commented                     | text    |
| `commentLikes`              | Comment Likes                 | number  |
| `commentReplies`            | Comment Replies               | number  |
| `postUrl`                   | Post URL                      | url     |
| `postText`                  | Post Text                     | text    |
| `postAuthor`                | Post Author                   | text    |
| `postAuthorTitle`           | Post Author Title             | text    |
| `postAuthorUrl`             | Post Author URL               | url     |
| `postLikes`                 | Post Likes                    | number  |
| `postComments`              | Post Comments                 | number  |
| `postShares`                | Post Shares                   | number  |
| `postVideo`                 | Post Video                    | url     |
| `postDate`                  | Post Date                     | text    |
| `edited`                    | Edited                        | boolean |
| `actorAuthor`               | Actor Author                  | boolean |
| `contributed`               | Contributed                   | boolean |
| `engagementReactionsCount`  | Engagement Reactions Count    | integer |
| `engagementReactionsType`   | Engagement Reactions Type     | text    |
| `engagementShares`          | Engagement Shares             | integer |
| `postPostImagesUrl`         | Post Post Images URL          | url     |
| `postPostVideoThumbnailUrl` | Post Post Video Thumbnail URL | url     |
| `commentaryAttributes`      | Commentary Attributes         | array   |
| `postRepost`                | Post Repost                   | object  |
| `commenterAvatar`           | Commenter Avatar              | url     |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/linkedin/profile-comments/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "profiles": [
        "https://www.linkedin.com/in/satyanadella"
      ],
      "maxResults": 10
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/linkedin/profile-comments/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "profiles": [
          "https://www.linkedin.com/in/satyanadella"
      ],
      "maxResults": 10
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "sourceProfileUrl": "https://www.linkedin.com/in/satyanadella",
      "commentUrl": "https://www.linkedin.com/feed/update/urn:li:ugcPost:7432490714694832128?commentUrn=urn%3Ali%3Acomment%3A%28ugcPost%3A7432490714694832128%2C7435104681204428803%29&dashCommentUrn=urn%3Ali%3Afsd_comment%3A%287435104681204428803%2Curn%3Ali%3AugcPost%3A7432490714694832128%29",
      "commentText": "Great meeting you ... thanks for the conversation and book!",
      "commenter": "Satya Nadella",
      "commenterTitle": "Chairman and CEO at Microsoft",
      "commenterUrl": "https://www.linkedin.com/in/satyanadella",
      "commented": "2026-03-04T23:31:33.565Z",
      "commentLikes": 16,
      "commentReplies": 4,
      "postUrl": "https://www.linkedin.com/posts/gabastorga_if-you-had-the-opportunity-to-ask-one-question-ugcPost-7432490714694832128-gubY",
      "postText": "If you had the opportunity to ask one question to the CEO of Microsoft, Satya Nadella, one question about Artifical Intelligence, what would you ask?\n\nAfter some reflection, I chose to give him a present. It was a book that a close friend of mine recommended. She had told me her mother loved it because it resonated deeply with her.\n\nThe question of AI and humanity has always been at the forefront of my mind. As the technology and scientific innovations we create evolve at a pace far faster than us, how do we continue to grow whilst keeping our culture and humanity?\n\nSatya Nadella\u2019s response was thoughtful and optimistic. His response was that AI is a tool that can democratise access to aspects like coding, new avenues of creativity and culture can be formed in ways previously unimagined.\n\nIt was a brief but very inspiring interview - Thank you Satya.",
      "postAuthor": "Gabriel Astorga",
      "postAuthorTitle": "PhD in Microbial Genomics | AMR & One Health | Associate Fellow (AFHEA), Advance HE | STEM Communicator",
      "postAuthorUrl": "https://www.linkedin.com/in/gabastorga?miniProfileUrn=urn%3Ali%3Afsd_profile%3AACoAAClvh24BMkIt-io9eW7Yl79kmBYP-Zoz3VY",
      "postLikes": 216,
      "postComments": 12,
      "postShares": 11,
      "postVideo": "https://dms.licdn.com/playlist/vid/v2/D4D05AQGKCMR8KXED_A/mp4-720p-30fp-crf28/B4DZyWC7LVIoCI-/0/1772043888856?e=1778245200&v=beta&t=cfvQ84b7hivUGxMPizH0ZDPxP0RcW3qH5PuvB9qOndU",
      "postDate": "2026-03-04T23:31:35.104Z",
      "edited": false,
      "actorAuthor": false,
      "contributed": false,
      "engagementReactionsCount": null,
      "engagementReactionsType": null,
      "engagementShares": 0,
      "postPostImagesUrl": null,
      "postPostVideoThumbnailUrl": "https://media.licdn.com/dms/image/v2/D4D05AQGKCMR8KXED_A/videocover-high/B4DZyWC7LVIoBY-/0/1772043878649?e=1778245200&v=beta&t=c36_VZDZK1xe0bIGniO5TBBblEVCAKhRzOB7gqgaDRs",
      "commentaryAttributes": [],
      "postRepost": null,
      "commenterAvatar": "https://media.licdn.com/dms/image/v2/C5603AQHHUuOSlRVA1w/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1579726625483?e=1779321600&v=beta&t=ZdzsUEqwiaYe6oSSXZfab2tMfJ6kQONtu5QKmUngG5s"
    }
  ]
}
```
